#include "dllimport.h"
#include <stdio.h>
#include <Windows.h>

typedef int(*GETDATAPROC)(void);

void main (void)
{
  HINSTANCE hImp = NULL;
  GETDATAPROC GetDataProc = NULL;
  int data = 0;

  initData();

  hImp = LoadLibrary("dllimport.dll");
  if (NULL != hImp) {
    GetDataProc = (GETDATAPROC) GetProcAddress(hImp, "getData");
    if (NULL != GetDataProc) {
      data = (GetDataProc) ();
      printf("Data is: %d\r\n", data);
    }
    else {
      printf("Unable to load function");
    }
    FreeLibrary(hImp);
  }
  else {
    printf("Unable to load DLL");
  }
}
